BizKitHub
DocsAPI ReferenceOrder/bff/order/add-product
postOrderAdmin BFF

/bff/order/add-product

Adds an existing product as a new line item to the order and recalculates the total price.

OrderpostBffOrderAdd-product

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

productCodestringRequired

Product code to link the item to.

productVariantCodestringOptional

Product variant code.

labelstringRequired

Item label displayed on invoice.

pricenumberRequired

Unit price including VAT.

vatnumberRequired

VAT rate in percent (e.g. 21).

countnumberRequired

Quantity to add.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/order/add-product

post
curl -X POST "https://api.bizkithub.com/bff/order/add-product" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "productCode": "example_productCode",
  "productVariantCode": "example_productVariantCode",
  "label": "example_label",
  "price": 0,
  "vat": 0,
  "count": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key